Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84232 - application bug: screen(4014) has SIGCHLD set to SIG_IGN but calls wait4.
Summary: application bug: screen(4014) has SIGCHLD set to SIG_IGN but calls wait4.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: screen
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On: 84571
Blocks: 79578 84225
TreeView+ depends on / blocked
 
Reported: 2003-02-13 18:06 UTC by Tim Waugh
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-18 19:16:51 UTC


Attachments (Terms of Use)

Description Tim Waugh 2003-02-13 18:06:16 UTC
Version-Release number of selected component (if applicable):
screen-3.9.13-3

How reproducible:
100%

Steps to Reproduce:
1. Install kernel that warns.
2. Run screen.

Comment 1 Lon Hohberger 2003-02-14 18:24:44 UTC
The place screen sets SIGCHLD to SIG_IGN is only in the exit path; I can't get
the above warning to actually occur.

Could someone else then test 3.9.13-4?   Dist-8.0.1-HEAD



Comment 2 Ingo Molnar 2003-02-14 19:35:31 UTC
The message triggers with 3.9.13-4 as well. It does not trigger for every
startup of screen - i got 1 message out of 3 tries. I'm running screen as
non-root, over ssh. (perhaps this is a factor as well.)

Comment 3 Lon Hohberger 2003-02-18 14:00:42 UTC
Indeed, it is.  Thanks for the additional information. Fix coming ASAP.

Comment 4 Lon Hohberger 2003-02-18 16:43:27 UTC
The bug seen was in actually in utempter.  However, I have closed all obvious
windows where screen could exhibit the buggy behavior.  (Exit path, and during
the re-attach process).

3.9.13-5... will be in as soon as it finishes building.


Comment 5 Lon Hohberger 2003-02-18 19:16:51 UTC
I tested this package a few (50 or so) more times with the latest build of
utempter - everything seems fine. Closing.



Note You need to log in before you can comment on or make changes to this bug.